Agora RTC Objective-C API Reference Refactor

IExtensionVideoDecoderProvider Class Referenceabstract

Inherits IExtensionVideoCodecProvider.

## Member Enumeration Documentation

## ◆ EXTENSION_TYPE

enum EXTENSION_TYPE
| inherited

Enumerator
AUDIO_FILTER | note: discarded, Don't use it anymore.
VIDEO_PRE_PROCESSING_FILTER | note: discarded, Don't use it anymore.
VIDEO_POST_PROCESSING_FILTER |
AUDIO_SINK |
VIDEO_SINK |
AUDIO_RECORDING_LOCAL_PLAYBACK_FILTER |
AUDIO_POST_PROCESSING_FILTER |
AUDIO_REMOTE_USER_PLAYBACK_FILTER |
AUDIO_PCM_SOURCE_FILTER |
AUDIO_PCM_SOURCE_SENDING_FILTER |
AUDIO_PCM_SOURCE_LOCAL_PLAYBACK_FILTER |
AUDIO_REMOTE_MIXED_PLAYBACK_FILTER |
VIDEO_POST_CAPTURE_FILTER |
VIDEO_PRE_PREVIEW_FILTER |
VIDEO_PRE_ENCODER_FILTER |
VIDEO_ENCODER |
VIDEO_DECODER |
UNKNOWN |

## Member Function Documentation

## ◆ createVideoDecoder()

virtual agora_refptr<IExtensionVideoDecoder> createVideoDecoder | ( | const char * | name | ) |
| inline virtual

## ◆ setExtensionControl()

virtual void setExtensionControl | ( | IExtensionControl * | control | ) |
| inline virtual inherited

## ◆ enumerateExtensions()

virtual void enumerateExtensions | ( | ExtensionMetaInfo * | extension_list,
|  | int & | extension_count
| ) |  |
| inline virtual inherited

## ◆ createAudioFilter()

virtual agora_refptr<IAudioFilter> createAudioFilter | ( | const char * | name | ) |
| inline virtual inherited

## ◆ createVideoFilter()

virtual agora_refptr<IExtensionVideoFilter> createVideoFilter | ( | const char * | name | ) |
| inline virtual inherited

## ◆ createVideoSink()

virtual agora_refptr<IExtensionVideoSink> createVideoSink | ( | const char * | name | ) |
| inline virtual inherited

## ◆ setProperty()

virtual void setProperty | ( | const char * | key,
|  | const char * | value
| ) |  |
| inline virtual inherited

## ◆ AddRef()

virtual void AddRef | ( |  | ) | const
| pure virtual inherited

## ◆ Release()

virtual RefCountReleaseStatus Release | ( |  | ) | const
| pure virtual inherited

## ◆ HasOneRef()

virtual bool HasOneRef | ( |  | ) | const
| pure virtual inherited

## Field Documentation

## ◆ video_codec_info

ExtensionVideoCodecInfo video_codec_info
| inherited